> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn.compiler/yarn.compiler.compilationresult/yarn.compiler.compilationresult.diagnostics.md).

# Diagnostics

Property in [CompilationResult](/api/csharp/yarn.compiler/yarn.compiler.compilationresult.md)

## Summary

Gets the collection of [Diagnostic](/api/csharp/yarn.compiler/yarn.compiler.diagnostic.md) objects that describe problems in the source code.

```csharp
public IEnumerable<Diagnostic> Diagnostics { get; internal set; }
```

## Remarks

If the compiler encounters errors while compiling source code, the [CompilationResult](/api/csharp/yarn.compiler/yarn.compiler.compilationresult.md) it produces will have a [Program](/api/csharp/yarn.compiler/yarn.compiler.compilationresult/yarn.compiler.compilationresult.program.md) value of `null` . To help figure out what the error is, users should consult the contents of this property.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.compiler/yarn.compiler.compilationresult/yarn.compiler.compilationresult.diagnostics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
